package cn.com.poc.knowledge.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for KnowledgeDatabaseQueryInfoQuery
 */
@Entity
public class KnowledgeDatabaseQueryInfoQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** member_id
    *member_id
    */ 
    private java.lang.Integer memberId;
    
    @Column(name = "member_id")
    public java.lang.Integer getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Integer memberId){
        this.memberId = memberId;
    }
    
    /** title
    *title
    */ 
    private java.lang.String title;
    
    @Column(name = "title")
    public java.lang.String getTitle(){
        return this.title;
    }
    
    public void setTitle(java.lang.String title){
        this.title = title;
    }
    
    /** db_desc
    *db_desc
    */ 
    private java.lang.String dbDesc;
    
    @Column(name = "db_desc")
    public java.lang.String getDbDesc(){
        return this.dbDesc;
    }
    
    public void setDbDesc(java.lang.String dbDesc){
        this.dbDesc = dbDesc;
    }
    
    /** db_type
    *db_type
    */ 
    private java.lang.String dbType;
    
    @Column(name = "db_type")
    public java.lang.String getDbType(){
        return this.dbType;
    }
    
    public void setDbType(java.lang.String dbType){
        this.dbType = dbType;
    }
    
    /** db_host
    *db_host
    */ 
    private java.lang.String dbHost;
    
    @Column(name = "db_host")
    public java.lang.String getDbHost(){
        return this.dbHost;
    }
    
    public void setDbHost(java.lang.String dbHost){
        this.dbHost = dbHost;
    }
    
    /** db_port
    *db_port
    */ 
    private java.lang.Integer dbPort;
    
    @Column(name = "db_port")
    public java.lang.Integer getDbPort(){
        return this.dbPort;
    }
    
    public void setDbPort(java.lang.Integer dbPort){
        this.dbPort = dbPort;
    }
    
    /** db_name
    *db_name
    */ 
    private java.lang.String dbName;
    
    @Column(name = "db_name")
    public java.lang.String getDbName(){
        return this.dbName;
    }
    
    public void setDbName(java.lang.String dbName){
        this.dbName = dbName;
    }
    
    /** db_username
    *db_username
    */ 
    private java.lang.String dbUsername;
    
    @Column(name = "db_username")
    public java.lang.String getDbUsername(){
        return this.dbUsername;
    }
    
    public void setDbUsername(java.lang.String dbUsername){
        this.dbUsername = dbUsername;
    }
    
    /** db_password
    *db_password
    */ 
    private java.lang.String dbPassword;
    
    @Column(name = "db_password")
    public java.lang.String getDbPassword(){
        return this.dbPassword;
    }
    
    public void setDbPassword(java.lang.String dbPassword){
        this.dbPassword = dbPassword;
    }
    
    /** is_deleted
    *is_deleted
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
    
    /** CREATOR
    *CREATOR
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR")
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
    
    /** CREATED_TIME
    *CREATED_TIME
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
    
    /** MODIFIER
    *MODIFIER
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER")
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
    
    /** MODIFIED_TIME
    *MODIFIED_TIME
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
    
    /** SYS_VERSION
    *SYS_VERSION
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION")
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
    
} 